package com.bonus.canteen.core.report.statistics.order.basic.dto;

import com.bonus.canteen.core.customer.model.CustInfo;
import com.bonus.canteen.core.report.statistics.order.basic.model.ReportOrderInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

@ApiModel("报表订单表DTO")
public class ReportOrderInfoDTO {
   @ApiModelProperty("订单信息")
   private ReportOrderInfo reportOrderInfo;
   @ApiModelProperty("支付渠道集合")
   private List<Integer> payChannels;
   @ApiModelProperty("支付方式集合")
   private List<Integer> payTypes;
   @ApiModelProperty("菜品、商品id集合")
   private List<Long> dishesIds;
   @ApiModelProperty("人员信息")
   private CustInfo custInfo;

   public ReportOrderInfo getReportOrderInfo() {
      return this.reportOrderInfo;
   }

   public List<Integer> getPayChannels() {
      return this.payChannels;
   }

   public List<Integer> getPayTypes() {
      return this.payTypes;
   }

   public List<Long> getDishesIds() {
      return this.dishesIds;
   }

   public CustInfo getCustInfo() {
      return this.custInfo;
   }

   public void setReportOrderInfo(final ReportOrderInfo reportOrderInfo) {
      this.reportOrderInfo = reportOrderInfo;
   }

   public void setPayChannels(final List<Integer> payChannels) {
      this.payChannels = payChannels;
   }

   public void setPayTypes(final List<Integer> payTypes) {
      this.payTypes = payTypes;
   }

   public void setDishesIds(final List<Long> dishesIds) {
      this.dishesIds = dishesIds;
   }

   public void setCustInfo(final CustInfo custInfo) {
      this.custInfo = custInfo;
   }

   public String toString() {
      String var10000 = String.valueOf(this.getReportOrderInfo());
      return "ReportOrderInfoDTO(reportOrderInfo=" + var10000 + ", payChannels=" + String.valueOf(this.getPayChannels()) + ", payTypes=" + String.valueOf(this.getPayTypes()) + ", dishesIds=" + String.valueOf(this.getDishesIds()) + ", custInfo=" + String.valueOf(this.getCustInfo()) + ")";
   }
}
